Subject: Re: [Sigtran] Regarding hostname/ip address based routing in SUA

From: "Sulakshan Vajipayajula" <[email-masked]>
Date: Mon, 5 Jan 2009 09:16:37 -0500

Ashish,

In IPSP-IPSP mode the SUA layer needs to send only the N-STATE to the
ULP based on remote availability (RKEY activation). Further N-PCSTATE
can be used for nodal congestion indications. 

I believe Network appearance applies for internetworking with SS7
networks only, it can be ignored.
 
- Sulakshan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Brian F. G. Bidulock
Sent: Monday, December 29, 2008 9:09 AM
To: Ashish Gupta
Cc: Rabindra Nath Tiwari; [email-masked]
Subject: Re: [Sigtran] Regarding hostname/ip address based routing in
SUA

Ashish,

Hostname/IP address in SUA is broken and underspecified.  Further
it attempts to extend SCCP which is outside the scope of the RFC.
I fully expect it to fall out of use.

--brian

Ashish Gupta wrote:                          (Mon, 29 Dec 2008 18:55:35)
> 
>    Hi,
> 
> 
> 
>    I  have two questions regarding the hostname/ip address based
routing
>    in SUA, about which the RFC doesn't talk about.
> 
> 
>    Q 1) I believe that hostname/ip address  based routing will be of
use
>    in the All-IP network, i.e. IPSP-IPSP mode of communication. Hence,
>    the SSNM messages generated by SUA layer in this scenario will be
the
>    result of the invocation of the N-STATE primitive only (having
>    affected hostname/ip address  and SSN). Unlike, the SG-ASP mode of
>    communication where the SSNM messages will also be generated as a
>    result of invocation of the N-PCSTATE primitives. Please clarify if
my
>    understanding is correct.
> 
> 
>    Q2)Inline with the previous question, since hostname/ip address
based
>    routing will be used by SUA-USER in only ALL IP domain, so what, if
at
>    all, would be the usage of network appearance in this scenario. As
>    network appearance parameter has the primary importance of
identifying
>    the point code format in the SS7 interworking domain. I believe
that
>    SUA can refrain from using network appearance parameter in this
>    scenario. Please clarify if my understand is correct.
> 
> 
> 
> 
>    Thanks,
> 
>    Ashish

> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/
_______________________________________________
Sigtran mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sigtran
_______________________________________________
Sigtran mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sigtran